﻿using Xamarin.Forms;
using Syncfusion.SfAutoComplete.XForms;
using System.Collections.Generic;
using System;
using System.Collections.ObjectModel;

namespace AutoCompleteDataSource
{
	public partial class AutoCompleteDataSourcePage : ContentPage
	{
		SfAutoComplete autoComplete;
		public AutoCompleteDataSourcePage()
		{
			InitializeComponent();
			autoComplete = new SfAutoComplete();
			autoComplete.MaximumDropDownHeight = 200;
			autoComplete.DataSource = GetDetails();
			autoComplete.SelectedValuePath = "Age";
			autoComplete.DisplayMemberPath = "Name";
			ObservableCollection<string> collection = new ObservableCollection<string>();
			autoComplete.ValueChanged += (sender, e) =>
			{
				if(autoComplete.SelectedValue!=null)
				collection.Add(autoComplete.SelectedValue);
			};


			StackLayout stack = new StackLayout();
			stack.Padding = new Thickness(50);
			stack.Children.Add(autoComplete);

			this.Content = stack;


		}
		private List<Person> GetDetails()
		{
			List<Person> list = new List<Person>();
			list.Add(new Person("James", 35));
			list.Add(new Person("Akbar", 25));
			list.Add(new Person("Gabriel",25));
			list.Add(new Person("Jeff", 37));
			list.Add(new Person("Anderson", 29));
			return list;
		}
	}
	public class Person:View
	{

		public Person(String _name, int _age)
		{
			this.Name = _name;
			this.Age = _age;
		}


		public String Name
		{
			get { return (String)GetValue(NameProperty); }
			set { SetValue(NameProperty, value); }
		}

		public static readonly BindableProperty NameProperty =
			BindableProperty.Create<Person, String>(p => p.Name, "", BindingMode.Default, null, null);


		public int Age
		{
			get { return (int)GetValue(AgeProperty); }
			set { SetValue(AgeProperty, value); }
		}
		public static readonly BindableProperty AgeProperty =
			BindableProperty.Create<Person, int>(p => p.Age, 22, BindingMode.Default, null, null);
	}
}
